#
# Conditional build:
%bcond_without  doc	# don't build HTML documentation
%bcond_without  x11	# don't build tk GUI

Summary:	Smart decoder for uuencode, xxencode, Base64 and BinHex
Summary(pl.UTF-8):	Uniwersalny dekoder uuencode, xxencode, Base64 i BinHex
Summary(pt_BR.UTF-8):	UUDeview, decodificador de vários tipos de arquivos
Name:		uudeview
Version:	0.5.20
Release:	5
License:	GPL
Group:		Applications/File
Source0:	http://www.fpx.de/fp/Software/UUDeview/download/%{name}-%{version}.tar.gz
# Source0-md5:	0161abaec3658095044601eae82bbc5b
Patch0:		%{name}-shared.patch
Patch1:		%{name}-latex.patch
Patch2:		%{name}-format-security.patch
URL:		http://www.fpx.de/fp/Software/UUDeview/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
%if %{with doc}
BuildRequires:	tetex-dvips
BuildRequires:	tetex-format-latex
BuildRequires:	tetex-latex
BuildRequires:	tetex-latex-psnfss
BuildRequires:	tetex-tex-misc
BuildRequires:	transfig
%endif
%if %{with x11}
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
UUDeview is a smart decoder for several surfaces which are common in
email and Usenet. It can decode uuencode, xxencode, Base64 and BinHex.
It can handle multiple files and multiple parts, even in random order.
Also an encoder is attached, UUEnview.

%description -l pl.UTF-8
UUDeview jest przydatnym narzędziem do dekodowania popularnych
formatów, takich jak uuencode, xxencode, Base64 i BinHex. Potrafi
poradzić sobie z wieloma plikami w wielu częściach, nawet
wymieszanych. W pakiecie znajduje się także program do kodowania
plików na wyżej wymienione formaty (oprócz BinHex).

%description -l pt_BR.UTF-8
Decodificador UUencode, XXencode, Base64, BinHex, etc. Inclui um
codificador.

%package x11
Summary:	xdeview - uudeview with a GUI
Summary(pl.UTF-8):	xdeview - uudeview z graficznym interfejsem
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description x11
xdeview - uudeview with a GUI.

%description x11 -l pl.UTF-8
xdeview - uudeview z graficznym interfejsem.

%package devel
Summary:	uulib header files
Summary(pl.UTF-8):	Pliki nagłówkowe uulib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
uulib header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe uulib.

%package static
Summary:	uulib static library
Summary(pl.UTF-8):	Statyczna biblioteka uulib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
uulib static library.

%description static -l pl.UTF-8
Statyczna biblioteka uulib.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

mv inews/README README.inews

%build
%{__aclocal}
%{__autoconf}
%configure \
	%{!?with_x11:--disable-tcl}

%{__make}
%{?with_doc:%{__make} ps -C doc}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

%{__make} install -C uulib \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc HISTORY README*
%attr(755,root,root) %{_libdir}/libuu.so.*.*
%ghost %attr(755,root,root) %{_libdir}/libuu.so.0
%attr(755,root,root) %{_bindir}/minews
%attr(755,root,root) %{_bindir}/uudeview
%attr(755,root,root) %{_bindir}/uuenview
%{_mandir}/man1/uu*

%if %{with x11}
%files x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/uuwish
%attr(755,root,root) %{_bindir}/xdeview
%{_mandir}/man1/xdeview.1*
%endif

%files devel
%defattr(644,root,root,755)
%{?with_doc:%doc doc/library.ps}
%attr(755,root,root) %{_libdir}/libuu.so
%{_libdir}/libuu.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libuu.a
%changelog
* Mon Jun 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/uudeview.git;a=log;h=master

* Mon Jun 01 2015 Elan Ruusamäe <glen@delfi.ee> 778269f
- x32 rebuild
- release 5 (by relup.sh)

* Sun Jun 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 4565458
- tcl rebuild
- release 4 (by relup.sh)

* Wed Jan 30 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 0560cd4
- Add patch to fix build with -Werror=format-security

* Mon Nov 15 2010 pawelz <pawelz@pld-linux.org> b082552
- correct way to fix the repackage issue:
  < glen> pawelz: move the file in %prep instaed of %install

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 962049f
- %ghost so symlink
- fixed repackage

* Tue Oct 09 2007 Jan Rękorajski <baggins@pld-linux.org> 4f423a1
- s/enviroment/environment/

* Tue Sep 04 2007 Jan Rękorajski <baggins@pld-linux.org> b1f17bc
- rel 3
- fixed doc build

* Tue Sep 04 2007 Jan Rękorajski <baggins@pld-linux.org> d5d078a
- use proper style

* Tue Sep 04 2007 Jan Rękorajski <baggins@pld-linux.org> 41e26b9
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a9c1b5d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 52d3421
- converted to UTF-8

* Thu Nov 09 2006 Elan Ruusamäe <glen@pld-linux.org> 2723eb0
- strict internal deps

* Tue Jul 11 2006 sparky <sparky@pld-linux.org> 1c57bc8
- without x11 bcond

* Tue Jul 11 2006 sparky <sparky@pld-linux.org> 60bc4b5
- %patch -> %patch0

* Fri Mar 03 2006 sparky <sparky@pld-linux.org> e3cde25
- transfig (fig2dev exactly) used only in documentation, BR moved

* Sat Jan 28 2006 areq <areq@pld-linux.org> ba13081
- BR bconf

* Sat Jan 28 2006 areq <areq@pld-linux.org> c63f15b
- add bcond_without  doc

* Thu Sep 08 2005 Paweł Sikora <pluto@pld-linux.org> ed89fee
- updated to 0.5.20 (buffer overflow fix).

* Wed Nov 24 2004 areq <areq@pld-linux.org> 90ea02f
- BR tetex-latex-psnfss

* Thu Jan 08 2004 Jakub Bogusz <qboosh@pld-linux.org> 5e7763e
- updated libtool usage in shared patch, .la hack no longer needed; release 3

